> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sorsa.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Comprobar cita o repost

> Comprueba si un usuario ha citado o reposteado una publicación. Devuelve `status` con uno de estos valores: `quoted`, `retweet` o `not_found`. Si se encuentra una cita o un repost, también devuelve la fecha de la interacción y el texto de la cita cuando corresponda. Identifica al usuario con `username`, `user_link` o `user_id`.



## OpenAPI

````yaml /openapi-es.json post /check-quoted
openapi: 3.0.3
info:
  contact: {}
  title: API Sorsa.io
  version: '3.0'
servers:
  - url: https://api.sorsa.io/v3
security: []
paths:
  /check-quoted:
    post:
      tags:
        - Verificación
      summary: Comprobar cita o repost
      description: >-
        Comprueba si un usuario ha citado o reposteado una publicación. Devuelve
        `status` con uno de estos valores: `quoted`, `retweet` o `not_found`. Si
        se encuentra una cita o un repost, también devuelve la fecha de la
        interacción y el texto de la cita cuando corresponda. Identifica al
        usuario con `username`, `user_link` o `user_id`.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/verification.CheckQuotedReq'
        description: Enlace de la publicación y enlace del usuario, username o user_id.
        required: true
        x-originalParamName: payload
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/verification.CheckQuotedResp'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Solicitud incorrecta
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: No autorizado
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Acceso prohibido
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: No encontrado
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Demasiadas solicitudes
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
          description: Error interno del servidor
      security:
        - ApiKeyAuth: []
components:
  schemas:
    verification.CheckQuotedReq:
      properties:
        tweet_link:
          example: https://twitter.com/TweetScout_io/status/1782368585664626774
          type: string
        user_id:
          example: '44196397'
          type: string
        user_link:
          example: https://twitter.com/elonmusk
          type: string
        username:
          example: elonmusk
          type: string
      type: object
    verification.CheckQuotedResp:
      properties:
        date:
          description: Fecha de la interacción (si se encuentra).
          example: '2024-04-27 06:43:09'
          type: string
        status:
          description: 'Tipo de interacción: `quoted`, `retweet` o `not_found`.'
          example: quoted
          type: string
        text:
          description: Texto de la publicación con cita (si el estado es `quoted`).
          example: Quote text
          type: string
        user_protected:
          description: '`true` si la cuenta del usuario comprobado está protegida.'
          example: false
          type: boolean
      type: object
    handler.ErrorResponse:
      properties:
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: ApiKey
      type: apiKey

````